QGIS Application - Bug report #16406
Expression builder: missing help for functions
2017-04-03 02:21 AM - Harrissou Santanna

Status: Closed
Priority: Normal
Assignee:

Category: Expressions

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 24315

Description

Some function in the Espression builder dialog do not have help exposed in the Help pane:
- groups like Array, Map and Composition groups (e.g., returned: function help for Arrays missing): the first two are not
self-explanatory, especially when you are not used to database manipulation vocabulary

- some variables such as @qgis_locale, @qgis_short_version, @value do not have description (only the value is shown).

- Neither has the geometric make_ triangle function.

Associated revisions

Revision 0dcea189 - 2018-02-23 02:32 PM - Loic Bartoletti

Add missing make_triangle function help. Fix #16406

Revision 84c50893 - 2018-02-24 12:47 AM - Nyall Dawson

Merge pull request #6438 from Ibartoletti/make_triangle

Add missing make_triangle function help. Fixes #16406

Revision d68107e1 - 2018-03-12 03:08 AM - Loic Bartoletti

Add missing make_triangle function help. Fix #16406

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-02-24 12:47 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|0dceal8929e4d503424e3bc7acb4ab8f456¢c2126.
